# Welcome to "Easy to Explain: Time-Series Features"

This Python library offers diverse solution for advanced time-series analysis. This library is built to empower developers and data scientists by simplifying complex time-series tasks.

To acess the full documentation, visit our official website: https://franciscovmacieira.github.io/easytime/

---

## What It Does

`easytime` equips you with a robust set of features to master your time-series data:

**Trend Analysis:** Quantify the direction, strength, and stability of the trend in your time-series.

**Noise & Volatility Modeling:** Characterize the randomness, complexity, and predictability of your time-series.

**Seasonality Detection:** Identify and measure the strength of recurring, cyclical patterns.

**Model Selection:** Extract key statistical properties to guide your choice of forecasting models.

**Clustering & Classification:** Generate unique fingerprints for your time-series to use in machine learning tasks.

---

## Installation

Get started in seconds.

```bash
pip install easytime
```

## Context

This library was developed as the focus of a research initiative by Francisco Macieira, an undergraduate student of Artificial Intelligence and Data Science at FCUP. The project was supervised by Professor Moisés Santos, affiliated with both FCUP and FEUP.